Last Comment Bug 800091 - in filter list dialog, indicate when a search on the filter names is applied and when there are no hits.
: in filter list dialog, indicate when a search on the filter names is applied ...
Status: RESOLVED FIXED
[filter-mgmt]
: polish, ux-userfeedback
Product: Thunderbird
Classification: Client Software
Component: Filters (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: :aceman
:
:
Mentors:
Depends on: 543239
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 12:29 PDT by :aceman
Modified: 2012-11-03 16:49 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.65 KB, patch)
2012-10-23 14:10 PDT, :aceman
mkmelin+mozilla: review+
bwinton: ui‑review+
Details | Diff | Splinter Review

Description :aceman 2012-10-10 12:29:35 PDT
+++ This bug was initially created as a clone of Bug #543239 comment 6 +++

Blake Winton (:bwinton - Thunderbird UX) 2012-10-10 21:07:53 CEST 

I like it, although I would like it a little more if we could indicate when a filter search failed, perhaps with a red outline around the search box, or by showing nothing in the filter list?
Comment 1 :aceman 2012-10-10 12:31:01 PDT
Showing "nothing" would be harder, but showing red border on failure and green border on 'search done' would be easy. The same colors are used in the quick filter bar on messages. Notice there is no 'searching' state in this dialog, so no grey color. Or actually the grey will be the normal unfiltered state.

In addition we can finally utilize the Status bar for this message too :)
Comment 2 :aceman 2012-10-11 00:21:51 PDT
Bt note there already is the '0 of X' count to indicate nothing was found.
Comment 3 :aceman 2012-10-11 00:25:37 PDT
It also seems the quick filter in a folder does no longer produce a border around the message list (at least on Win XP). It just shows the number of messages found in green, or red if none found.
Comment 4 :aceman 2012-10-23 14:10:28 PDT
Created attachment 674378 [details] [diff] [review]
patch

Bwinton, would this be enough, or do we also want the status bar message (would need new strings)?
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-10-29 09:35:41 PDT
Comment on attachment 674378 [details] [diff] [review]
patch

Nice.  ui-r=me.
Comment 6 Magnus Melin 2012-11-03 12:01:12 PDT
Comment on attachment 674378 [details] [diff] [review]
patch

Review of attachment 674378 [details] [diff] [review]:
-----------------------------------------------------------------

r=mkmelin
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-11-03 16:49:54 PDT
https://hg.mozilla.org/comm-central/rev/be82c2a135b3

Note You need to log in before you can comment on or make changes to this bug.